#ifndef CDECL_TEST_H_
#define CDECL_TEST_H_

#include <stddef.h>
#include <stdbool.h>

struct cdecl_declspec;
struct cdecl;

void *malloc_nofail(size_t size);
void *realloc_nofail(void *ptr, size_t size);
void test_print_specifiers(struct cdecl_declspec *spec);
void test_print_decl(struct cdecl *decl);
void test_explain_decl(struct cdecl *decl);

bool strict_strtoul(unsigned long *val, const char *str, int base);

void test_print_version(const char *program);

#endif
